ranges::v3::concepts::InputRange Struct Reference
Inheritance diagram for ranges::v3::concepts::InputRange:

## Public Types

template<typename T >
using | category_t = concepts::InputIterator::category_t< iterator_t< T > >
template<typename T >
using | common_reference_t = concepts::Readable::common_reference_t< iterator_t< T > >
template<typename T >
using | reference_t = concepts::Readable::reference_t< iterator_t< T > >
template<typename T >
using | rvalue_reference_t = concepts::Readable::rvalue_reference_t< iterator_t< T > >
template<typename T >
using | value_t = concepts::Readable::value_t< iterator_t< T > >
Public Types inherited from ranges::v3::concepts::refines< Range >
using | base_concepts_t = meta::list< Concepts... >

## Public Member Functions

template<typename T >
auto | requires_ (T &t) -> decltype(concepts::valid_expr(concepts::model_of< InputIterator >(begin(t))))
Public Member Functions inherited from ranges::v3::concepts::refines< Range >
void | requires_ ()